#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/robcresswell/xstatic-tv4.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	cp debian/tv4.min.js xstatic/pkg/tv4/data/tv4.min.js
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	yui-compressor -o xstatic/pkg/tv4/data/tv4.min.js xstatic/pkg/tv4/data/tv4.js

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No test here"
endif

override_dh_clean:
	dh_clean
	rm -rf build
